package com.huigou.topsun.sap.nonOrderStorage.application;


import com.huigou.topsun.sap.nonOrderStorage.domain.NonOrderStorage;
import com.huigou.topsun.sap.nonOrderStorage.domain.query.NonOrderStorageQueryRequest;

import java.util.List;
import java.util.Map;

/**
 * @Auther: xin.lu
 * @Date: 2024/03/20/14:08
 * @Description:
 */
public interface NonOrderStorageApplication {
    public static final String QUERY_XML_FILE_PATH = "config/topsun/sap/nonOrderStorage/nonOrderStorage.xml";

    String PROCESS_DEFINITION_KEY = "nonOrderStorageProc";


    Map<String,Object> slicedNonOrderStorageList(NonOrderStorageQueryRequest nonOrderStorageQueryRequest);

    void deleteNonOrderStorageById(List<String> ids);

    void saveNonOrderStorage(NonOrderStorage nonOrderStorage);

    public NonOrderStorage sendSapCenterData(NonOrderStorage nonOrderStorage);

    NonOrderStorage findNonOrderStorageById(String id);
}
